#include "Salamander.h"
#include "EdgePair.h"

namespace Salamander
{

EdgePair::EdgePair()
{
}

EdgePair::~EdgePair()
{
}

bool EdgePair::operator == (const EdgePair& rhs)
{
	if(body1_ == rhs.body1_ &&
	   body2_ == rhs.body2_ &&
	   edge1_ == rhs.edge1_ &&
	   edge2_ == rhs.edge2_)
	{
		return true;
	}
	else
	{
		return false;
	}
}

}
